Subject: [bug#30041] Issues with GNU Ring on licenses, bundling, configure/build flags and patches

From: Adonay Felipe Nogueira <[email-masked]>
Date: Tue, 09 Jan 2018 12:30:15 -0200

I have added the "help" tag because:

1. Due to time and other constraints (specially related to job-seeking)
   I no longer have as much time to work on this;

2. I don't know how to fix the issues, specially those related with
   customizations on configure/build flags ([1]) and with patches ([2]);

3. Some patches made by GNU Ring have been sent by me to some of their
   upstream projects but these only accept patches that come from the
   patch authors ([3]).

   An attempt was made to contact the patch authors but so far I got no
   replies ([2]) (perhaps because the authors don't seem to use their
   own issue tracker anymore?);

4. The lack of news and of native support for GnuTLS in pjproject/PJSIP
   ([4]) also makes things harder (because GNU Ring would have to
   maintain their patch to do so);

5. There's no confirmation that the Guix recipes can keep using these
   patches and configure/build flag customizations.

[1] <https://lists.gnu.org/archive/html/ring/2017-03/msg00005.html>.

[2] <https://tuleap.ring.cx/plugins/tracker/?aid=1546>.

[3]
<http://lists.pjsip.org/pipermail/pjsip_lists.pjsip.org/2017-June/020030.html>.

[4]
<http://lists.pjsip.org/pipermail/pjsip_lists.pjsip.org/2017-April/019937.html>.

2018-01-09T11:12:47-0200 Adonay Felipe Nogueira wrote:
> This bug/patch only moves [1] to here, so the progress can be tracked
> regardless of archive date.
>
> This is done because the patch might be an improvement to the list of
> packages available in GNU Guix.
>
> I have attached a set of recipes (not a patch!) related to GNU Ring and
> the dependencies. This attachment is more updated than [2].
>
> However, if you want to test GNU Ring in its unstable state, you must
> apply [3] (either directly on your copy of GNU Guix or by making your
> own recipes based on the patch) and then use the recipes attached in
> this message.
>
> [1]
> <https://lists.gnu.org/archive/cgi-bin/namazu.cgi?query=%2Bsubject%3A%7BContinuing+the+work+on+the+recipes+related+to+GNU+Ring%7D&submit=Search%21&idxname=guix-devel&max=20&result=normal&sort=date%3Alate>. Alternatively,
> see all messages in
> <https://lists.gnu.org/archive/html/guix-devel/2017-03/msg00550.html>
> and in
> <https://lists.gnu.org/archive/html/guix-devel/2017-07/msg00416.html>.
>
> [2]
> <https://lists.gnu.org/archive/html/guix-devel/2017-03/msg00692.html>. An
> update I made, also in the discussion related to [1].
>
> [3] <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27475#16>.